org.optaplanner.core.impl.phase.scope

## Class AbstractStepScope<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.phase.scope.AbstractStepScope<Solution_>

- Type Parameters:
    `Solution_` - the solution type, the class with the `PlanningSolution` annotation
  Direct Known Subclasses:
    ConstructionHeuristicStepScope, CustomStepScope, ExhaustiveSearchStepScope, LocalSearchStepScope, PartitionedSearchStepScope

      public abstract class AbstractStepScope<Solution_>
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Boolean` | `bestScoreImproved`
    `protected Solution_` | `clonedSolution`
    `protected Score` | `score`
    `protected int` | `stepIndex`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractStepScope(int stepIndex)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Solution_` | `createOrGetClonedSolution()`
    `Boolean` | `getBestScoreImproved()`
    `Solution_` | `getClonedSolution()`
    `abstract AbstractPhaseScope<Solution_>` | `getPhaseScope()`
    `Score` | `getScore()`
    `InnerScoreDirector<Solution_>` | `getScoreDirector()`
    `int` | `getStepIndex()`
    `Random` | `getWorkingRandom()`
    `Solution_` | `getWorkingSolution()`
    `void` | `setBestScoreImproved(Boolean bestScoreImproved)`
    `void` | `setClonedSolution(Solution_ clonedSolution)`
    `void` | `setScore(Score score)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### stepIndex

          protected final int stepIndex

    - #### score

          protected Score score

    - #### bestScoreImproved

          protected Boolean bestScoreImproved

    - #### clonedSolution

          protected Solution_ clonedSolution

  - ### Constructor Detail

    - #### AbstractStepScope

          public AbstractStepScope(int stepIndex)

  - ### Method Detail

    - #### getPhaseScope

          public abstract AbstractPhaseScope<Solution_> getPhaseScope()

    - #### getStepIndex

          public int getStepIndex()

    - #### getScore

          public Score getScore()

    - #### setScore

          public void setScore(Score score)

    - #### getBestScoreImproved

          public Boolean getBestScoreImproved()

    - #### setBestScoreImproved

          public void setBestScoreImproved(Boolean bestScoreImproved)

    - #### getClonedSolution

          public Solution_ getClonedSolution()

    - #### setClonedSolution

          public void setClonedSolution(Solution_ clonedSolution)

    - #### getScoreDirector

          public InnerScoreDirector<Solution_> getScoreDirector()

    - #### getWorkingSolution

          public Solution_ getWorkingSolution()

    - #### getWorkingRandom

          public Random getWorkingRandom()

    - #### createOrGetClonedSolution

          public Solution_ createOrGetClonedSolution()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006–2021 JBoss by Red Hat. All rights reserved.